petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatMultTransposeConstrained

The inner multiplication routine for a constrained matrix P^T A^T P.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMultTransposeConstrained(Mat mat,Vec x,Vec y)

Neighbor-wise Collective on Mat and Vec Many br

### Input Parameters

| mat | - the matrix Many br
| x | - the vector to be multilplied Many br

### Output Parameters

y -the result Many br

### Notes

The vectors x and y cannot be the same. I.e., one cannot Many brcall MatMult(A,y,y). Many br

Many br

### Keywords

matrix, multiply, matrix-vector product, constraint

### See Also

MatMult(), MatMultTranspose(), MatMultAdd(), MatMultTransposeAdd()

Level:beginner
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages